initscript wrongly sets --script-security

Bug #794916 reported by Alexander Zielke on 2011-06-09
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
openvpn (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: openvpn

The openvpn initscript wrongly sets --script-security 2 on the command line to handle backwards compatibility, even if script-security is specified in the config file.
This Bug is only triggered, if openvpn starts multiple daemons. If the first daemon started does not have script-security in its configuration, the initscript sets script_security but does not reset it for subsequent daemons.

Tested with 10.04, but the bug is present in 11.10 aswell.
I attached a patch that fixes the problem.

Related branches

Alexander Zielke (vulture) wrote :
Scott Moser (smoser) wrote :

Thank you for taking the time to open a bug and submit a patch. I've applied the patch to the branch that is linked to this bug and asked that it be sponsored for upload to oneiric.

Thank you for making ubuntu better.

Changed in openvpn (Ubuntu):
importance: Undecided → Low
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openvpn - 2.1.3-4.1ubuntu2

---------------
openvpn (2.1.3-4.1ubuntu2) oneiric; urgency=low

  [Alexander Zielke]
  * fix bug where '--script-security 2' would be passed for all
    daemons after the first. (LP: #794916)
 -- Scott Moser <email address hidden> Thu, 09 Jun 2011 13:59:08 -0400

Changed in openvpn (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers